%define upstream_name    Locale-Maketext
%define upstream_version 1.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Framework for software localization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-5.14-Locale-Maketext-CVE.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(I18N::LangTags) >= 0.310.0
BuildRequires: perl(I18N::LangTags::Detect)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
It is a common feature of applications (whether run directly, or via the
Web) for them to be "localized" -- i.e., for them to a present an English
interface to an English-speaker, a German interface to a German-speaker,
and so on for all languages it's programmed with. Locale::Maketext is a
framework for software localization; it provides you with the tools for
organizing and accessing the bits of text and text-processing code that you
need for producing localized applications.

In order to make sense of Maketext and how all its components fit together,
you should probably go read Locale::Maketext::TPJ13, and _then_ read the
following documentation.

You may also want to read over the source for 'File::Findgrep' and its
constituent modules -- they are a complete (if small) example application
that uses Maketext.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .cve

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Mon Feb 04 2013 jquelin <jquelin> 1.220.0-2.mga2
+ Revision: 394532
- fix CVE-2012-6329 (mga#8815)
- update to 1.22

* Wed Jan 04 2012 jquelin <jquelin> 1.210.0-1.mga2
+ Revision: 190539
- update to 1.21

* Fri Nov 04 2011 jquelin <jquelin> 1.190.0-2.mga2
+ Revision: 162814
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 1.190.0-1.mga2
+ Revision: 112059
- update to 1.19

* Fri Feb 18 2011 jquelin <jquelin> 1.170.0-3.mga1
+ Revision: 53618
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.170.0-2.mga1
+ Revision: 28614
- mageia rebuild
- imported package perl-Locale-Maketext

